JavaUndeployWriter (Axis API)
Keywords: org.apache.axis.wsdl.toJava.JavaUndeployWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaUndeployWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaUndeployWriter

All Implemented Interfaces:
  Generator

public class JavaUndeployWriter
extends JavaWriter

This is Wsdl2java's deploy Writer. It writes the deploy.java file.

Field Summary
`protected javax.wsdl.Definition` | `definition` Field definition

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, LINE_LENGTH, type`

Constructor Summary
`JavaUndeployWriter(Emitter emitter, javax.wsdl.Definition definition, SymbolTable notUsed)` Constructor.

Method Summary
`void` | `generate()` Generate undeploy.wsdd.
`protected java.lang.String` | `getFileName()` Return the fully-qualified name of the undeploy.wsdd file to be generated.
`protected java.io.PrintWriter` | `getPrintWriter(java.lang.String filename)` Method getPrintWriter
`protected void` | `writeDeployPort(java.io.PrintWriter pw, javax.wsdl.Port port)` Write out deployment and undeployment instructions for given WSDL port
`protected void` | `writeDeployServices(java.io.PrintWriter pw)` Write out deployment and undeployment instructions for each WSDL service
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the deploy.wsdd file.
`protected void` | `writeFileHeader(java.io.PrintWriter pw)` Replace the default file header with the deployment doc file header.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, getJavadocDescriptionPart, isFileGenerated, registerFile, verboseMessage, writeComment, writeComment, writeFileFooter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### definition

    protected javax.wsdl.Definition definition

  Field definition

Constructor Detail

### JavaUndeployWriter

    public JavaUndeployWriter(Emitter emitter,
                              javax.wsdl.Definition definition,
                              SymbolTable notUsed)

  Constructor.

Parameters:
  `emitter` -
  `definition` -
  `notUsed` -

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Generate undeploy.wsdd. Only generate it if the emitter is generating server-side mappings.

  Specified by:
    `generate` in interface `Generator`
  Overrides:
    `generate` in class `JavaWriter`
  Throws:
    `java.io.IOException`

### getFileName

    protected java.lang.String getFileName()

  Return the fully-qualified name of the undeploy.wsdd file to be generated.

  Specified by:
    `getFileName` in class `JavaWriter`
  Returns:

### writeFileHeader

    protected void writeFileHeader(java.io.PrintWriter pw)
                            throws java.io.IOException

  Replace the default file header with the deployment doc file header.

  Overrides:
    `writeFileHeader` in class `JavaWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the deploy.wsdd file.

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

### writeDeployServices

    protected void writeDeployServices(java.io.PrintWriter pw)
                                throws java.io.IOException

  Write out deployment and undeployment instructions for each WSDL service

  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

### writeDeployPort

    protected void writeDeployPort(java.io.PrintWriter pw,
                                   javax.wsdl.Port port)
                            throws java.io.IOException

  Write out deployment and undeployment instructions for given WSDL port

  Parameters:
    `pw` -
    `port` -
  Throws:
    `java.io.IOException`

### getPrintWriter

    protected java.io.PrintWriter getPrintWriter(java.lang.String filename)
                                          throws java.io.IOException

  Method getPrintWriter

  Overrides:
    `getPrintWriter` in class `JavaWriter`
  Parameters:
    `filename` -
  Returns:
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.